#!/bin/sh

set +v #  -- **************************************************************************
set +v #  -- Licensed Material - Property of IBM
set +v #  --
set +v #  -- 5724-M24
set +v #  --
set +v #  -- Copyright IBM Corp. 2005, 2010.  All rights reserved.
set +v #  --
set +v #  -- US Government Users Restricted Rights - Use, duplication or
set +v #  -- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
set +v #  -- ************************************************************************

USER_PROPS=$*
cd ./../../bin
. ./setupCmdLine.sh
SYS_PROPS=-Djava.util.logging.config.file=logging.properties
JDBC_DIR=/usr/IBM/SQLLIB/java
JDBCDRIVER=$JDBC_DIR/db2jcc.jar:$JDBC_DIR/db2jcc_license_cu.jar
MY_CLASSPATH=$WAS_HOME/plugins/com.ibm.wbimonitor.actionmgr.jar:$WAS_HOME/plugins/com.ibm.wbimonitor.persistence.jar:$WAS_HOME/plugins/com.ibm.wbimonitor.util.jar:$WAS_HOME/plugins/com.ibm.ws.runtime.jar:$WAS_HOME/lib/bootstrap.jar:$WAS_HOME/plugins/com.ibm.ws.emf.jar:$WAS_HOME/plugins/org.eclipse.emf.ecore.jar:$WAS_HOME/plugins/org.eclipse.emf.common.jar:$WAS_HOME/plugins/com.ibm.ffdc.jar

cd ../scripts.wbm/AAMExport

$JAVA_HOME/bin/java -classpath $MY_CLASSPATH $SYS_PROPS $USER_PROPS com.ibm.wbimonitor.actionmgr.importer.MigrationEncrypt

